Page MenuHomePhabricator

enable/disable save button depending on Bridge state
Closed, ResolvedPublic5 Story Points

Description

We don't want the user to be able to save any state of the bridge to prevent incomplete or potentially faulty edits to occur on Wikidata and to prevent a system error in advance. Therefore we have to disable the save button for some of the states.

the disabled state should be ButtonWidget (progressive, disabled) looking like this (button in the top right corner)

Acceptance criteria

  • Save button is disabled when nothing has been changed yet
  • header height is correct (40px) and disabled save button uses the full header height

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2019, 12:07 PM
Pablo-WMDE updated the task description. (Show Details)Aug 26 2019, 11:08 AM
Pablo-WMDE updated the task description. (Show Details)Aug 26 2019, 2:44 PM

FTR There are no plans to augment the cancel button (marking it destructive/warning the user unsaved data would be lost on click)

Charlie_WMDE updated the task description. (Show Details)Sep 2 2019, 11:30 AM
Charlie_WMDE moved this task from Needs work to Ready to estimate on the Wikidata-Bridge board.
Lydia_Pintscher renamed this task from Context-aware save button to enable/disable save button depending on Bridge state.Sep 3 2019, 1:52 PM
Lydia_Pintscher updated the task description. (Show Details)
Charlie_WMDE updated the task description. (Show Details)Sep 9 2019, 3:24 PM
darthmon_wmde set the point value for this task to 5.
Lydia_Pintscher triaged this task as Medium priority.Sep 20 2019, 10:51 AM

looks good from my side!

Lydia_Pintscher closed this task as Resolved.Oct 28 2019, 5:16 PM
Lydia_Pintscher claimed this task.
Lydia_Pintscher moved this task from Verification to Done on the Wikidata-Bridge-Sprint-8 board.

\o/